API reference
Assistant settings
Operations for assistant platform settings
Read assistant settings
GET
Retrieve assistant platform settings
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
property_id |
string | Yes |
200Assistant settingsapplication/json
Assistant platform settings
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
Individual setting field with metadata
Show properties
get/{property_id}/settings/assistant
GET /api/{property_id}/settings/assistant HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Accept: */*
200Assistant settings
{
"result": {
"assistant_enabled": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"intro_message": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"notification_message": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"operator_page_tag": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"operator_button_text": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"operator_title_text": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"operator_consent_text": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
},
"assistant_icon": {
"id": 0,
"name": "string",
"value": null,
"allowed_values": ["string"],
"feature_flag": "string",
"can_change": false
}
}
}Save assistant settings
POST
Update assistant platform settings
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
property_id |
string | Yes |
Request bodyapplication/json
200Settings updatedapplication/json
Show properties
post/{property_id}/settings/assistant
POST /api/{property_id}/settings/assistant HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "settings": {} }
200Settings updated
{
"result": {
"changed": null
}
}Sign asset upload
POST
Generate signed URL for uploading assistant assets
Path parameters:
| Name | Type | Required | Description |
|---|---|---|---|
property_id |
string | Yes |
Request bodyapplication/json
200Upload URL generatedapplication/json
Show properties
post/{property_id}/settings/assistant/sign-asset
POST /api/{property_id}/settings/assistant/sign-asset HTTP/1.1 Host: {instance}.clym.io Authorization: Bearer YOUR_SECRET_TOKEN Content-Type: application/json Accept: */* { "mime": "image/png", "field": "logo_url" }
200Upload URL generated
{
"result": {
"url": "string",
"attachment_id": "string",
"expires_at": "string"
}
}